---
apiVersion: v1
kind: Namespace
metadata: 
  name: kube-api-proxy

---
apiVersion: v1
kind: Service
metadata:
  name: kube-api-proxy
  namespace: kube-api-proxy
spec:
  ports:
  - name: https
    port: 443
    protocol: TCP
    targetPort: 6443
  type: LoadBalancer

{% for master in master_ips %}
---
apiVersion: v1
kind: Endpoints
metadata:
  name: kube-api-proxy
  namespace: kube-api-proxy
subsets:
  - addresses:
      - ip: "{{ master }}"
    ports:
      - name: https
        port: 6443
        protocol: TCP

{% endfor %}